pkgsrc/mk/fetch
joerg eeaca99630 verify_file() returns a non-zero result whenever the distfile does not
currently exist. This triggers a bug in the Bourne shell of at least
DragonFly and Irix, when set -e is also active. Remove set -e to avoid
this. Discussed with jlam@, shown by DragonFly bulk builds, complains on
DragonFly's user list and PR 34036.

A test case for this shell bug is, which should return 0:

set -e

testf () {
	test -f /nonexistent || return 1
	return 0
}

if testf; then
	exit 1
fi
exit 0
2006-07-20 13:31:08 +00:00
..
bsd.fetch-vars.mk Make "mirror-distfiles" less verbose by not printing out anything if no 2006-07-19 16:01:40 +00:00
bsd.fetch.mk Overhaul fetch module: 2006-07-18 22:41:06 +00:00
distclean.mk Overhaul fetch module: 2006-07-18 22:41:06 +00:00
fetch verify_file() returns a non-zero result whenever the distfile does not 2006-07-20 13:31:08 +00:00
fetch-list.mk Convert _FETCH_MESSAGE to plain old FETCH_MESSAGE. Remove _FETCH_MESSAGE 2006-07-18 23:27:14 +00:00
fetch.mk Only pass -v to the fetch script if PKG_VERBOSE is set. 2006-07-19 14:25:59 +00:00
sites.mk add .cz KDE mirror 2006-06-25 18:02:38 +00:00